# Example of some basic micropython plus demo of IDE, saving, and editing
# micropython reference: https://docs.micropython.org/en/latest/index.html
# CC0 code from www.tinkerfarm.net

# import the time module for micropython, the name is slightly different
import utime

# print a statement to the shell
print("Ready?")

# delay 2 seconds by calling utime sleep function
utime.sleep(2)

# use for loop and print 3 times
# note colon and indent
for i in range(3):
    # note i values in shell, why do programmers start with 0?
    print("Hello, World!", i)

# request input and assign it to a variable
user_name = input("What is your name? ")

# use while loop with negation
while user_name != "Kim":
    print("You are not Kim - try again!")
    # enter Kim to break out of the loop
    user_name = input("What is your name? ")

print("You are Kim!")